## class PasteShapesCmd : public Command

> command class for pasting shapes.

## Inheritance:

### Public Methods

  | PasteShapesCmd (ShapeView *v)
  | PasteShapesCmd (ShapeView *v, bool)
  virtual | ~PasteShapesCmd ()
  void | MakeBox ()
  void | Execute ()
  void | UnExecute ()
  void | Abort ()
  void | TrackMouse (TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)
  void | DrawOutLine (const Point *center)
  const char* | GetName () const

### Protected Methods

  ShapeView* | GetView () const
  List <Subject *> * | GetSubjects () const
  void | SetSubjects (List<Subject *> *s)
  List <GShape *> * | GetShapes ()
  void | SetShapes (List<GShape *> *s)
  const Point* | GetDelta ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void ReExecute()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for pasting shapes.

`PasteShapesCmd(ShapeView *v)`

`PasteShapesCmd(ShapeView *v, bool)`

`virtual ~PasteShapesCmd()`

`void MakeBox()`

`void Execute()`

`void UnExecute()`

`void Abort()`

`void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)`

`void DrawOutLine(const Point *center)`

`const char* GetName() const`

`ShapeView* GetView() const`

`List <Subject *> * GetSubjects() const`

`void SetSubjects(List<Subject *> *s)`

`List <GShape *> * GetShapes()`

`void SetShapes(List<GShape *> *s)`

`const Point* GetDelta()`

Direct child classes:
  DuplicateShapesCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de